commit:     d00c2e792e4f154e7e5200e9612823fe7e724890
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May  9 15:29:16 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May  9 15:29:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d00c2e79

app-emulation/img: Version bump to 0.5.7

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-emulation/img/Manifest         |  1 +
 app-emulation/img/img-0.5.7.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/app-emulation/img/Manifest b/app-emulation/img/Manifest
index 39c23fa5c17..cf32a5daf59 100644
--- a/app-emulation/img/Manifest
+++ b/app-emulation/img/Manifest
@@ -4,3 +4,4 @@ DIST img-0.5.1.tar.gz 6394095 BLAKE2B 
5c26487f721ef7157c8dc47c5abc2f4f296efe4ddf
 DIST img-0.5.2.tar.gz 3426613 BLAKE2B 
75da804bee0960c195f3f5af6f10276d3d9a93dfcf08c784b831da2dd4e27714f0c8c24b24d2683b1b75276362b47a2bbc251e032b5b1b87c081922cee4f90f4
 SHA512 
cbae3fab61005238c939ad5fa5b785b07ee10f964a686962bdaec7170297840ebda188b93a1e3b89c6041db455a085d537005f8b1dc8753cd4e77f3e699f40e4
 DIST img-0.5.4.tar.gz 3429272 BLAKE2B 
3426dc6503693ad00c4c9f13c3813a6cf71826987aa2bb8351f695ffebed78fd79383b548040ef880b55984852f32fcb33ae5f1d1dcc4f9f6250498fbd64ebf0
 SHA512 
db51862aff5e0bb7280f17597f8d7231dd9aa741126b41c0af922b1f136d2ac4e0f08e51ab583ed098b194b58df29808c42cfd5381a217113f6b4bbf0dad06c8
 DIST img-0.5.6.tar.gz 3429213 BLAKE2B 
a1525d4aa09e11d122b41b54da8b90557dac3d0bfed5ea93dd6dad31269b7095d58d6d44dcd92dad9d56436132493d7ec8f1517b32eaa2bfb608bfb1fef639ec
 SHA512 
e1a4469717df66f167f859cbf82ce54dd877e3e9c2f2d723f4424480c0429ac6ad99a13718c103bed3a823a91bef2f3ee3ac6c17e6f951f74f2f1b3ed0021785
+DIST img-0.5.7.tar.gz 3875988 BLAKE2B 
dd8f13f6861eadc3a4c3d2d07ac826e53a8f3b83d66974717e9312c579967e0c9b57657c8fe6e86f03bb91fd7a82bc6d8d7d87a70be4dd85da10800d8909a51d
 SHA512 
a42247c2ceac0ccfcc2cfd6a561a058855869f0219994cd8fa2bdd5092be17803057e4cb48a2d5277fdfded74dd06eb7c3c3db590fbde91502aebcaf593ddef7

diff --git a/app-emulation/img/img-0.5.7.ebuild 
b/app-emulation/img/img-0.5.7.ebuild
new file mode 100644
index 00000000000..a83d24d7c28
--- /dev/null
+++ b/app-emulation/img/img-0.5.7.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/genuinetools/img"
+GIT_COMMIT="d14bb92b69804443263d647647b0833013b8df91"
+ARCHIVE_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Standalone daemon-less unprivileged Dockerfile and OCI container 
image builder"
+HOMEPAGE="https://github.com/genuinetools/img";
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="MIT"
+SLOT="0"
+IUSE="seccomp"
+
+RESTRICT="test"
+
+src_compile() {
+       local TAGS=$(usex seccomp 'seccomp' '')
+       pushd src/${EGO_PN} || die
+       GOPATH="${S}" go build -tags "noembed ${TAGS}" -v -ldflags "-X 
${EGO_PN}/version.GITCOMMIT=${GIT_COMMIT} -X ${EGO_PN}/version.VERSION=${PV}" 
-o "${S}"/bin/img . || die
+       popd || die
+}
+
+src_install() {
+       dobin bin/*
+       dodoc -r src/${EGO_PN}/README.md
+}

Reply via email to